<template>
    <label ref="textField" class="mdc-text-field mdc-text-field--outlined mdc-text-field--no-label">
        <span class="mdc-notched-outline">
            <span class="mdc-notched-outline__leading"></span>
            <span class="mdc-notched-outline__trailing"></span>
        </span>
        <slot name="leading-icon"></slot>
        <input
            class="mdc-text-field__input"
            :type="type"
            :placeholder="placeholder"
            :value="value"
            @input="$emit('input', $event.target.value)"
            @focus="$emit('focus', $event)"
            @blur="$emit('blur', $event)"
            @reset="$emit('reset')"
            @keypress.enter="$emit('keypress', $event)"
        >
        <slot name="trailing-icon"></slot>
    </label>
</template>
<script>
import { MDCTextField } from '@material/textfield';

export default {
    props: {
        placeholder: {
            type: String,
            required: false,
        },
        value: {
            type: String,
        },
        type: {
            type: String,
            required: false,
            default: 'text',
        },
    },

    mounted() {
        MDCTextField.attachTo(this.$refs.textField);
    },
};
</script>
